#!/usr/bin/env perl

# loadCollection.pl
# iChat pictures manager

use strict;

my $collName = shift @ARGV;
my $origFolder = shift @ARGV;
my $destFolder = shift @ARGV;

-r $origFolder.$collName.'/Recents.plist' or exit;

local *D;
my $riga;
opendir D,$destFolder;
while ($riga = readdir(D)) {
  $riga =~ m,^\., and next;
  -d $destFolder.$riga and next;
  unlink $destFolder.$riga;
}
closedir D;

my $riga;
opendir D,$origFolder.$collName;
while ($riga = readdir(D)) {
  $riga =~ m,^\., and next;
  -d $origFolder.$riga and next;
  `cp \'$origFolder$collName\/$riga\' \'$destFolder\'`;
}
closedir D;

local *F;
open F,'>'.$origFolder.'currentCollection';
print F $collName;
close F;

print $collName;
